#1598 closed defect (fixed)

Coverage Improvement: User database access routines (getpwent.c under libcsupport)

Reported by: Bharath Suri Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.10
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

PR to track changes / additional tests added to improve coverage of routines in getpwent.c - user database access routines

Attachments (9)

psxpasswd01-init-changes (3.3 KB) - added by Bharath Suri on Jul 1, 2010 at 6:11:15 AM.
Patch for init.c @ testsuites/psxtests/psxpasswd01/
psxpasswd01-doc-changes (518 bytes) - added by Bharath Suri on Jul 1, 2010 at 6:14:01 AM.
Patch for psxpasswd01.doc @ testsuites/psxtests/psxpasswd01/
psxpasswd01-scn-changes (2.4 KB) - added by Bharath Suri on Jul 1, 2010 at 6:17:40 AM.
Patch for psxpasswd01.scn @ testsuites/psxtests/psxpasswd01/
psxpasswd02.tar.gz (7.3 KB) - added by Bharath Suri on Jul 1, 2010 at 6:20:38 AM.
Contains psxpasswd02/, intended to cover error paths in getpwent.c
psxtests-configure.ac-changes (464 bytes) - added by Bharath Suri on Jul 1, 2010 at 6:23:50 AM.
Patch for configure.ac @ testsuites/psxtests
psxtests-Makefile.am-changes (617 bytes) - added by Bharath Suri on Jul 1, 2010 at 6:26:27 AM.
Patch for Makefile.am @ testsuites/psxtests
ChangeLog (72.6 KB) - added by Bharath Suri on Jul 1, 2010 at 4:58:17 PM.
Updated ChangeLog? @ testsuites/psxtests
psxpasswd02-changes.diff (1.7 KB) - added by Bharath Suri on Aug 10, 2010 at 9:37:28 AM.
Patch @ testsuites/psxtests/psxpasswd02
psxtests-ChangeLog-changes.txt (177 bytes) - added by Bharath Suri on Aug 10, 2010 at 9:38:34 AM.
Updated ChangeLog? at testsuites/psxtests

Download all attachments as: .zip

Change History (13)

Changed on Jul 1, 2010 at 6:11:15 AM by Bharath Suri

Attachment: psxpasswd01-init-changes added

Patch for init.c @ testsuites/psxtests/psxpasswd01/

Changed on Jul 1, 2010 at 6:14:01 AM by Bharath Suri

Attachment: psxpasswd01-doc-changes added

Patch for psxpasswd01.doc @ testsuites/psxtests/psxpasswd01/

Changed on Jul 1, 2010 at 6:17:40 AM by Bharath Suri

Attachment: psxpasswd01-scn-changes added

Patch for psxpasswd01.scn @ testsuites/psxtests/psxpasswd01/

Changed on Jul 1, 2010 at 6:20:38 AM by Bharath Suri

Attachment: psxpasswd02.tar.gz added

Contains psxpasswd02/, intended to cover error paths in getpwent.c

Changed on Jul 1, 2010 at 6:23:50 AM by Bharath Suri

Patch for configure.ac @ testsuites/psxtests

Changed on Jul 1, 2010 at 6:26:27 AM by Bharath Suri

Patch for Makefile.am @ testsuites/psxtests

comment:1 Changed on Jul 1, 2010 at 3:24:03 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

Changed on Jul 1, 2010 at 4:58:17 PM by Bharath Suri

Attachment: ChangeLog added

Updated ChangeLog? @ testsuites/psxtests

comment:2 Changed on Aug 10, 2010 at 9:29:43 AM by Bharath Suri

Resolution: fixed
Status: closedreopened

Changed on Aug 10, 2010 at 9:37:28 AM by Bharath Suri

Attachment: psxpasswd02-changes.diff added

Patch @ testsuites/psxtests/psxpasswd02

Changed on Aug 10, 2010 at 9:38:34 AM by Bharath Suri

Updated ChangeLog? at testsuites/psxtests

comment:3 Changed on Aug 10, 2010 at 3:51:42 PM by Bharath Suri

Resolution: fixed
Status: reopenedclosed

Found OK on head. Marking resolved and fixed...

comment:4 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.